<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddUsers3 Method (IEdmUserMgr10)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr10 Interface : AddUsers3 Method (IEdmUserMgr10)

Visual Basic
C#
C++/CLI

ppoUserData
  Array of EdmUserData2 structures; one structure for each user

UserType
  Login type of users as defined in EdmUserType

Adds the specified users of the specified login type to the vault.

# Syntax

Visual Basic |
--- | ---

    Sub AddUsers3( _
       ByRef ppoUserData() As EdmUserData2, _
       ByVal UserType As EdmUserType _
    )

C# |
--- | ---

    void AddUsers3(
       out EdmUserData2[] ppoUserData,
       EdmUserType UserType
    )

C++/CLI |
--- | ---

    void AddUsers3(
    &   [Out] array<EdmUserData2>^ ppoUserData,
    &   EdmUserType UserType
    )

#### Parameters

ppoUserData
  Array of EdmUserData2 structures; one structure for each user
UserType
  Login type of users as defined in EdmUserType

# Example

See the IEdmUserMgr10 examples.

# Remarks

This method supersedes IEdmUserMgr7::AddUsers2 by providing the ability to add users by type to the vault.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr10 Interface
IEdmUserMgr10 Members

# Availability

SOLIDWORKS PDM Professional 2019